# Chapter Types

Chapter Types

 - [GET /chapterTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/listchaptertypes.md): This method will scan all chapter types and and return them to the caller.
 - [POST /chapterTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/createchaptertype.md): This method will auto-generate an ID and create a new chapter type. If an ID is specified for the chapter type, an error will be thrown.
 - [POST /chapterTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/deletechaptertype.md): This method will delete a chapter type with the specified ID.
 - [GET /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/getchaptertype.md): This method will look up a chapter type by the specified ID and return it back.
 - [PATCH /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/patchchaptertype.md): This method will patch an existing chapter type with the specified ID, using the HTTP PATCH specification.
 - [PUT /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/updatechaptertype.md): This method will update an existing chapter type with the specified ID.
